<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.biz.mapper.ArFileImageMapper">

    <resultMap type="com.ruoyi.biz.domain.ArFileImage" id="ArFileImageResult">
        <result property="id" column="id"/>
        <result property="ossId" column="ossId"/>
        <result property="userId" column="userId"/>
        <result property="url" column="url"/>
        <result property="type" column="type"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>

    <select id="queryArFileForIndexList" parameterType="Integer" resultType="com.ruoyi.biz.domain.ArFileIndex">
        select oss_id,url,type from ar_file_image where del_flag = 0 order by rand() limit #{count}
    </select>
</mapper>
